### Home Classes Methods

### In Files

- ext/libv8/location.rb

### Parent

Libv8::Location

### Namespace

- CLASS Libv8::Location::Vendor::ArchiveNotFound

### Methods

- #configure
- #install!
- #verify_installation!

### Files

- Makefile

### Class/Module Index

Quicksearch

- Libv8
- Libv8::Arch
- Libv8::Builder
- Libv8::Checkout
- Libv8::Compiler
- Libv8::Location
- Libv8::Location::MkmfContext
- Libv8::Location::System
- Libv8::Location::System::NotFoundError
- Libv8::Location::Vendor
- Libv8::Location::Vendor::ArchiveNotFound
- Libv8::Make
- Libv8::Paths

No matching classes.

# Libv8::Location::Vendor

### Public Instance Methods

configure(context = MkmfContext.new) click to toggle source

    # File ext/libv8/location.rb, line 29
    def configure(context = MkmfContext.new)
      context.incflags.insert 0, Libv8::Paths.include_paths.map{|p| "-I#{p}"}.join(" ")  + " "
      context.ldflags.insert 0, Libv8::Paths.object_paths.join(" ") + " "
    end

install!() click to toggle source

    # File ext/libv8/location.rb, line 21
    def install!
      require File.expand_path '../builder', __FILE__
      builder = Libv8::Builder.new
      exit_status = builder.build_libv8!
      super if exit_status == 0
      verify_installation!
      return exit_status
    end

verify_installation!() click to toggle source

    # File ext/libv8/location.rb, line 34
    def verify_installation!
      Libv8::Paths.object_paths.each do |p|
        fail ArchiveNotFound, p unless File.exists? p
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.